Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe
Class PackageInputEntry

    java.lang.Object
      javafe.InputEntry
          javafe.PackageInputEntry

public class PackageInputEntry
extends InputEntry

Field Summary

Fields inherited from class javafe.InputEntry
`auto, contents, name`

Constructor Summary
`PackageInputEntry(java.lang.String n)`

Method Summary
`java.lang.String` | `type()`
`java.lang.String` | `typeOption()`
`java.lang.String` | `verify()`
`static java.lang.String` | `verify(java.lang.String name)`

Methods inherited from class javafe.InputEntry
`clear, clear, make, make, match, resolve, savedString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PackageInputEntry

    public PackageInputEntry(java.lang.String n)

Method Detail

### type

    public java.lang.String type()

  Overrides:
    `type` in class `InputEntry`

### typeOption

    public java.lang.String typeOption()

  Overrides:
    `typeOption` in class `InputEntry`

### verify

    public java.lang.String verify()

  Overrides:
    `verify` in class `InputEntry`

### verify

    public static java.lang.String verify(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage